#255 utg_asm job failing

unitigger
closed-out-of-date
nobody
5
2015-02-03
2013-09-04
No

Best,

I am trying to correct a PacBio data with a HiSeq dataset using PacBioToCA.
I've come across another problem I hope you can help me with.

One out of 25 utg_asm jobs is failing. This results in runCA reporting:
"Failed to execute qsub .... ~/runPartition.sh"

For this particular job a standard .out file and a .excluded file is generated. The .fasta and .qual files are present but empty. The *.success file obviously is missing.

The .out file of the erroneous job seems fine but is missing the characteristic final line "Processed xxx layouts" that I can find in all other .out files. Instead I find this as final line:

"In contig 27976 forced alignment of 43 bases of string 179435008 subscript 1354 to 56 bases of consensus
with 23 errors (41.07% error)"

All the .lay, .olaps and *.rank files seem to be fine. I tried restarting the failed job by removing it together with runPartition.sh. The pipeline restarted fine but I ended up with the same error.

Hope you can help me once more.
Thanks in advance,

Jeroen

Related

Bugs: #255

Discussion

  • Jason Miller

    Jason Miller - 2013-09-04

    It is rare but we have seen this, an utter failure to generate a consensus. First, make sure you are using the very latest code (by svn checkout from sourceforge) since this condition may have been fixed recently. Then, read the runPartition script. Note the script is making a call out to an AMOS program which probably cannot handle regions of high error. You will see it tries two ways to generate a consensus with the expectation that the safer way might fail. On fail, it tries again with the –x parameter which means force an alignment rather than exclude an unaligned read. You could try to adjust other parameters in that script (i.e. increasing the error rate -e parameter to as high as 0.30 -- default 0.06 — and increasing the wiggle parameter -w to as high as 50 -- default is 15 — and decreasing the minimum bases for an acceptable overlap -o to 5). In the worst case, you have to move on and live without some of your PacBio reads. You can forgo this entire partition but to be more surgical, you can remove just the problem read. Remove the offending LAY{…} record from the asm.<part>.lay file. If the LAY file is too large to edit, write a script to filter the 27976th (the number in your error message) layout while leaving in place all the evidence reads toward the end of the LAY file. Good luck.

    -- Jason

    From: "JeroenF@lumc" jfrank-lumc@users.sf.net<mailto:jfrank-lumc@users.sf.net>
    Reply-To: Ticket 255 255@bugs.wgs-assembler.p.re.sf.net<mailto:255@bugs.wgs-assembler.p.re.sf.net>
    Date: Wednesday, September 4, 2013 8:06 AM
    To: Ticket 255 255@bugs.wgs-assembler.p.re.sf.net<mailto:255@bugs.wgs-assembler.p.re.sf.net>
    Subject: [wgs-assembler:bugs] #255 utg_asm job failing


    [bugs:#255]http://sourceforge.net/p/wgs-assembler/bugs/255/ utg_asm job failing

    Status: open
    Labels: pacBioToCA utg_asm runPartition.sh layouts
    Created: Wed Sep 04, 2013 12:06 PM UTC by JeroenF@lumc
    Last Updated: Wed Sep 04, 2013 12:06 PM UTC
    Owner: nobody

    Best,

    I am trying to correct a PacBio data with a HiSeq dataset using PacBioToCA.
    I've come across another problem I hope you can help me with.

    One out of 25 utg_asm jobs is failing. This results in runCA reporting:
    "Failed to execute qsub .... ~/runPartition.sh"

    For this particular job a standard .out file and a .excluded file is generated. The .fasta and .qual files are present but empty. The *.success file obviously is missing.

    The .out file of the erroneous job seems fine but is missing the characteristic final line "Processed xxx layouts" that I can find in all other .out files. Instead I find this as final line:

    "In contig 27976 forced alignment of 43 bases of string 179435008 subscript 1354 to 56 bases of consensus
    with 23 errors (41.07% error)"

    All the .lay, .olaps and *.rank files seem to be fine. I tried restarting the failed job by removing it together with runPartition.sh. The pipeline restarted fine but I ended up with the same error.

    Hope you can help me once more.
    Thanks in advance,

    Jeroen


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/wgs-assembler/bugs/255/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #255

  • Brian Walenz

    Brian Walenz - 2015-02-03

    Closing old resolved (?) case.

     
  • Brian Walenz

    Brian Walenz - 2015-02-03
    • status: open --> closed-out-of-date
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks